
#include <stdio.h>
#include <conio.h>
#include <math.h>
#define lon 6


void main (void)


{

int v[lon]={1,2,3,4,5,6};
int num,max,min,pos;

min=(-1);
max=lon+1;

pos=(max+min)/2;

printf("¨Que numero buscas?");
scanf("%d",&num);

if (num==v[pos])

{
printf("El numero se encuentra en %d",&pos);

}
else
{
while(num<v[pos])
max=pos;
pos=(max+min)/2;
{
	if(num>=min || num<=max)
	printf("\n El Numero est  en la posicion: ",&hacerpregunta);
}

while(num>v[pos])
min=pos;
pos=(max+min)/2;
{
	if(num>=min || num<=max)
	printf("\n El Numero esta en la posicion: ",taltaltaltal);
}

}